=== debian/changelog ===
ros-rolling-rclcpp-lifecycle (15.0.0-1focal) focal; urgency=high

  * Automatically transition lifecycle entities when node transitions (#1863 <https://github.com/ros2/rclcpp/issues/1863>)
  * Contributors: Ivan Santiago Paunovic

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-lifecycle (14.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp-lifecycle (14.0.0-1focal) focal; urgency=high

  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Contributors: Chris Lalancette, Jacob Perron

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rclcpp-lifecycle (13.1.0-1focal) focal; urgency=high

  * Update forward declarations of rcl_lifecycle types (#1788 <https://github.com/ros2/rclcpp/issues/1788>)
  * Deprecate the void shared_ptr<MessageT> subscription callback signatures (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (13.0.0-1focal) focal; urgency=high

  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Change log level for lifecycle_publisher. (#1715 <https://github.com/ros2/rclcpp/issues/1715>)
  * Fix: RCLCPP_PUBLIC -> RCLCPP_LIFECYCLE_PUBLIC (#1732 <https://github.com/ros2/rclcpp/issues/1732>)
  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp (#1727 <https://github.com/ros2/rclcpp/issues/1727>)
  * Contributors: Alberto Soragna, Christophe Bedard, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 23 Aug 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (12.0.0-1focal) focal; urgency=high

  * Remove unsafe get_callback_groups API.
    Callers should change to using for_each_callback_group(), or
    store the callback groups they need internally.
  * Add in callback_groups_for_each.
    The main reason to add this method in is to make accesses to the
    callback_groups_ vector thread-safe.  By having a
    callback_groups_for_each that accepts a std::function, we can
    just have the callers give us the callback they are interested
    in, and we can take care of the locking.
    The rest of this fairly large PR is cleaning up all of the places
    that use get_callback_groups() to instead use
    callback_groups_for_each().
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 26 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (11.2.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 21 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (11.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Jul 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (11.0.0-1focal) focal; urgency=high

  * Fix destruction order in lifecycle benchmark (#1675 <https://github.com/ros2/rclcpp/issues/1675>)
  * Contributors: Scott K Logan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 May 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (10.0.0-1focal) focal; urgency=high

  * [rclcpp] Type Adaptation feature (#1557 <https://github.com/ros2/rclcpp/issues/1557>)
  * Contributors: Audrow Nash, William Woodall

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 May 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (9.0.2-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 14 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (9.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (9.0.0-1focal) focal; urgency=high

  * Add generic publisher and generic subscription for serialized messages (#1452 <https://github.com/ros2/rclcpp/issues/1452>)
  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#1615 <https://github.com/ros2/rclcpp/issues/1615>)
  * Contributors: Nikolai Morin, shonigmann

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (8.2.0-1focal) focal; urgency=high

  * Fix flaky lifecycle node tests (#1606 <https://github.com/ros2/rclcpp/issues/1606>)
  * Clock subscription callback group spins in its own thread (#1556 <https://github.com/ros2/rclcpp/issues/1556>)
  * Delete debug messages (#1602 <https://github.com/ros2/rclcpp/issues/1602>)
  * add automatically_add_executor_with_node option (#1594 <https://github.com/ros2/rclcpp/issues/1594>)
  * Contributors: BriceRenaudeau, Ivan Santiago Paunovic, Jacob Perron, anaelle-sw

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 31 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (8.1.0-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 25 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (8.0.0-1focal) focal; urgency=high

  * make rcl_lifecyle_com_interface optional in lifecycle nodes (#1507 <https://github.com/ros2/rclcpp/issues/1507>)
  * Contributors: Karsten Knese

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 23 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (7.0.1-1focal) focal; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 22 Mar 2021 07:00:00 -0000

ros-rolling-rclcpp-lifecycle (7.0.0-1focal) focal; urgency=high

  * Add support for rmw_connextdds (#1574 <https://github.com/ros2/rclcpp/issues/1574>)
  * Fix SEGV caused by order of destruction of Node sub-interfaces (#1469 <https://github.com/ros2/rclcpp/issues/1469>)

