=== debian/control ===
Source: ros-rolling-rclcpp-lifecycle
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-lifecycle-msgs, ros-rolling-mimick-vendor, ros-rolling-performance-test-fixture, ros-rolling-rcl-lifecycle, ros-rolling-rclcpp, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-typesupport-cpp, ros-rolling-test-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-lifecycle-msgs, ros-rolling-rcl-lifecycle, ros-rolling-rclcpp, ros-rolling-rmw, ros-rolling-rosidl-typesupport-cpp, ros-rolling-ros-workspace
Description: Package containing a prototype for lifecycle implementation
