=== debian/changelog ===
ros-rolling-rclcpp-lifecycle (23.0.0-1jammy) jammy; urgency=high

  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * Contributors: Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (22.2.0-1jammy) jammy; urgency=high

  * add logger level service to lifecycle node. (#2277 <https://github.com/ros2/rclcpp/issues/2277>)
  * Contributors: Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (22.1.0-1jammy) jammy; urgency=high

  * Stop using constref signature of benchmark DoNotOptimize. (#2238 <https://github.com/ros2/rclcpp/issues/2238>)
  * Contributors: Chris Lalancette

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (22.0.0-1jammy) jammy; urgency=high

  * Implement get_node_type_descriptions_interface for lifecyclenode and add smoke test for it (#2237 <https://github.com/ros2/rclcpp/issues/2237>)
  * Switch lifecycle to use the RCLCPP macros. (#2233 <https://github.com/ros2/rclcpp/issues/2233>)
  * Add new node interface TypeDescriptionsInterface to provide GetTypeDescription service (#2224 <https://github.com/ros2/rclcpp/issues/2224>)
  * Contributors: Chris Lalancette, Emerson Knapp

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.1.1-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (21.0.0-1jammy) jammy; urgency=high

  * Add support for logging service. (#2122 <https://github.com/ros2/rclcpp/issues/2122>)
  * Support publishing loaned messages in LifecyclePublisher (#2159 <https://github.com/ros2/rclcpp/issues/2159>)
  * Contributors: Lei Liu, Michael Babenko

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 18 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (20.0.0-1jammy) jammy; urgency=high

  * Fixes to silence some clang warnings. (#2127 <https://github.com/ros2/rclcpp/issues/2127>)
  * Update all rclcpp packages to C++17. (#2121 <https://github.com/ros2/rclcpp/issues/2121>)
  * Use the correct macro for LifecycleNode::get_fully_qualified_name (#2117 <https://github.com/ros2/rclcpp/issues/2117>)
  * add get_fully_qualified_name to rclcpp_lifecycle (#2115 <https://github.com/ros2/rclcpp/issues/2115>)
  * Contributors: Chris Lalancette, Steve Macenski

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.3.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 01 Mar 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.2.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 24 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (19.0.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 30 Jan 2023 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (18.0.0-1jammy) jammy; urgency=high

  * Implement Unified Node Interface (NodeInterfaces class) (#2041 <https://github.com/ros2/rclcpp/issues/2041>)
  * Add clock type to node_options (#1982 <https://github.com/ros2/rclcpp/issues/1982>)
  * Update maintainers (#2043 <https://github.com/ros2/rclcpp/issues/2043>)
  * Contributors: Audrow Nash, Jeffery Hsu, methylDragon

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 29 Dec 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (17.1.0-1jammy) jammy; urgency=high

  * LifecycleNode on_configure doc fix. (#2034 <https://github.com/ros2/rclcpp/issues/2034>)
  * Bugfix 20210810 get current state (#1756 <https://github.com/ros2/rclcpp/issues/1756>)
  * Make lifecycle impl get_current_state() const. (#2031 <https://github.com/ros2/rclcpp/issues/2031>)
  * Cleanup the lifecycle implementation (#2027 <https://github.com/ros2/rclcpp/issues/2027>)
  * Cleanup the rclcpp_lifecycle dependencies. (#2021 <https://github.com/ros2/rclcpp/issues/2021>)
  * Contributors: Chris Lalancette, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (17.0.0-1jammy) jammy; urgency=high

  * Revert "Revert "Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)" (#2009 <https://github.com/ros2/rclcpp/issues/2009>) (#2010 <https://github.com/ros2/rclcpp/issues/2010>)
  * Revert "Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)" (#2009 <https://github.com/ros2/rclcpp/issues/2009>)
  * Add a create_timer method to Node and LifecycleNode classes (#1975 <https://github.com/ros2/rclcpp/issues/1975>)
  * Support pre-set and post-set parameter callbacks in addition to on-set-parameter-callback. (#1947 <https://github.com/ros2/rclcpp/issues/1947>)
  * Make create_service accept rclcpp::QoS (#1969 <https://github.com/ros2/rclcpp/issues/1969>)
  * Make create_client accept rclcpp::QoS (#1964 <https://github.com/ros2/rclcpp/issues/1964>)
  * Contributors: Andrew Symington, Deepanshu Bansal, Ivan Santiago Paunovic, Shane Loretz

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rclcpp-lifecycle (16.2.0-1jammy) jammy; urgency=high




