=== debian/control ===
Source: ros-rolling-rclcpp-lifecycle
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-lifecycle-msgs, ros-rolling-mimick-vendor <!nocheck>, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rcl-lifecycle, ros-rolling-rclcpp, ros-rolling-rcpputils <!nocheck>, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-typesupport-cpp, ros-rolling-test-msgs <!nocheck>, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-lifecycle-msgs, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rcl-lifecycle, ros-rolling-rclcpp, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosidl-typesupport-cpp, ros-rolling-ros-workspace
Description: Package containing a prototype for lifecycle implementation
